Package com.sun.jna.ptr

# Class NativeLongByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.ptr.NativeLongByReference

All Implemented Interfaces:
  `NativeMapped`

public class NativeLongByReference extends ByReference

## Constructor Summary

Constructors
Constructor
Description
`NativeLongByReference()`
`NativeLongByReference(NativeLong value)`

## Method Summary

Modifier and Type
Method
Description
`NativeLong`
`getValue()`
`void`
`setValue(NativeLong value)`
`String`
`toString()`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NativeLongByReference

public NativeLongByReference()

### NativeLongByReference

public NativeLongByReference(NativeLong value)

## Method Details

### setValue

public void setValue(NativeLong value)

### getValue

public NativeLong getValue()

### toString

public String toString()

Overrides:
  `toString` in class `ByReference`